@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@200..900&display=swap");
* {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

body{
    background: #f8f8f8; 
}
:root{
        --gradient: linear-gradient(to right, #e2336b, #fcac46);
 }

.sidebar{
    position: fixed;
    z-index: 1000;  
    width:300px;
    height:100vh;
    background: #f8f8f8;
    padding: 20px;
}
.sidebar p{
    font-size: 14px;
    margin-top: 20px;
    font-family: 'Courier New', Courier, monospace;
}
.main-home{
    position:  absolute;
    width:calc(100% - 300px);
    min-height: 100vh;
    top:0;
    left:300px;
    background: #fff;
    border-radius: 1rem 0 0 1rem;
    z-index: 1000;
}
.logo img{
    width:140px;
}
.profile{
    display: flex;
    flex-direction: column;
    align-items:center;
    justify-content: center;
    margin-top: 1.4rem;
}
.profile-img{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border:2px solid #e2336e;
}
.profile-img img{
    width: 70px;
    height: 70px;
    object-fit: cover;
    border-radius: 50%;
    object-position: center;
}
.name {
    display: flex;
    align-items: center;
    margin: 0.3rem;
}
.name h1{
    font-size: 1.1rem;
}
.name img{
    margin-left: 4px;
    width: 20px;
    object-fit: contain;
}
.profile-img span{
    font-size: 0.938rem;
    font-weight: 400;
}
.about{
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
}
.box{
    text-align: center;
}
.box h3{
    font-size: 1rem;
    font-weight: 500;
}
.box span{
    font-size: 0.938rem;
    font-weight: 400;
}
.menu{
    display: flex;
    flex-direction: column;
    margin-top: 30px;
}
.menu a{
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px 20px;
    text-decoration: none;
    color: #333;
}
.menu a:hover,  
.menu .active{
    color:#e2336b;

}
.menu .icon{
    margin-right: 1rem;
    font-size: 20px;
}
/* Зураас */
.menu a::before{
    content: '';
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 2px;
    height: 17px;
    background: #e2336b;
    opacity: 0;
}

/* hover + active үед */
.menu a:hover::before,
.menu a.active::before{
    opacity: 1;
}

/* Main Home*/

.main-home{
    padding: 20px;
    overflow: hidden;

}
.search{
    display: flex;
    align-items: center;
    background: #f8f8f8;
    width:200px;
    height: 2.4rem;
    padding: 10px;
    border-radius: 10px;
}
.search input{
    border:  none;
    outline: none;
    background: transparent;
    margin-left: 7px;
}
.search o{
    font-size: 10px;
}

.header{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-content{
    display: flex;
    align-items: center;
}

.header-content i{
    color: #000;
    font-size: 20px;
    margin-left: 1rem;
}

.header-content .btn{
    display: flex;
    align-items: center;
    padding: 10px 14px;
    border-radius: 8px;
    background: linear-gradient(45deg, #ff6a00, #ee0979);
    margin-left: 1rem;
    text-decoration: none;
}

.header-content .btn i{
    color: rgba(255,255,255,0.6);
    margin-right: 8px;
}

.btn-text{
    color: #fff;
    font-size: 14px;
}
.stories-title{
    display: flex;
    justify-content:space-between;
    margin-top:2rem;
}
.stories-title h1{
    font-size: 1.8rem;
}
.stories-title .btn{
    display: flex;
    align-items: center;
    color: #000;
}
.stories-title .btn i{
    font-size: 24px;
    margin-right: 10px;
}
.stories{
    display: flex;
    align-items: center;
    gap:16px;
    margin-top: 2rem;
}
.stories-img{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border:2px solid #e2336e;
}
.stories-img img{
    width: 70px;
    height: 70px;
    object-fit: cover;
    border-radius: 50%;
    object-position: center;
}
.storis-img .color{
    border:2px solid #dbdbdb;
}
.stories-img .add{
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    width:70px;
    height:70px;
    border-radius: 50%;
    color:#fff;
    background: hsla(246, 100%, 67%, 0.7);
}
.feed{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 1rem;
}
.feed h1{
    font-size: 1.7rem;
}
.feed-text {
    display: flex;
    align-items: center;
}
.feed-text h2{
    font-size: 1rem;
    margin-right:1rem;
}
.main-posts{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(300px, auto));
    gap:11px;
}
.post-box{
    width:350px;
    margin-top: 2rem;
}
.post-box img{
    width: 100%;
    height: 344px;
    object-fit:cover;
    border-radius:0.5rem;
}
.post-info {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:0;
    width: 100%;
}
.post-profile{
    display: flex;
    align-items: center;
}
.post-img img {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    border: 2px solid #e2336b;
}
.post-profile h3{
    font-size:12px;
    font-weight:60px;
    margin-left:5px;
}
.likes {
    display: flex;
    align-items: center;
}
.likes i{
    font-size: 20px;
    margin-left: 10px;
}
.likes span{
    font-size: 14px;
    margin-left:7px;
}